//
// SPDX-FileCopyrightText: 2021 Istituto Nazionale Previdenza Sociale
//
// SPDX-License-Identifier: BSD-3-Clause

import Foundation

struct IdentityProviderViewModel {
    let identityProviderKeys: IdentityProviderKeys
    
    // Returns the list of providers that is generated by the identity provider object
    func generateProviders() -> [Provider]{
        let providers: [Provider] = [
            Provider(name: IdentityProviderConstants.aruba.rawValue, idp: identityProviderKeys.aruba),
            Provider(name: IdentityProviderConstants.infocert.rawValue, idp: identityProviderKeys.infocert),
            Provider(name: IdentityProviderConstants.intesa.rawValue, idp: identityProviderKeys.intesa),
            Provider(name: IdentityProviderConstants.lepida.rawValue, idp: identityProviderKeys.lepida),
            Provider(name: IdentityProviderConstants.namirial.rawValue, idp: identityProviderKeys.namirial),
            Provider(name: IdentityProviderConstants.poste.rawValue, idp: identityProviderKeys.poste),
            Provider(name: IdentityProviderConstants.sielte.rawValue, idp: identityProviderKeys.sielte),
            Provider(name: IdentityProviderConstants.spiditalia.rawValue, idp: identityProviderKeys.spiditalia),
            Provider(name: IdentityProviderConstants.tim.rawValue, idp: identityProviderKeys.tim)
        ]
        
        return providers[randomSpid: providers.count]
    }

}
